> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Slack App

> The registration without its secrets, and what to paste into Slack.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json get /admin/slack-app
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /admin/slack-app:
    get:
      tags:
        - admin:slack-app
      summary: Get Slack App
      description: The registration without its secrets, and what to paste into Slack.
      operationId: admin:slack-app-get_slack_app
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlackPlatformAppRead'
      security:
        - APIKeyCookie: []
components:
  schemas:
    SlackPlatformAppRead:
      properties:
        app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: App Id
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        client_secret_set:
          type: boolean
          title: Client Secret Set
        signing_secret_set:
          type: boolean
          title: Signing Secret Set
        app_token_set:
          type: boolean
          title: App Token Set
        icon_uploaded:
          type: boolean
          title: Icon Uploaded
        distribution_enabled:
          type: boolean
          title: Distribution Enabled
        unreadable:
          type: boolean
          title: Unreadable
        setup:
          $ref: '#/components/schemas/ChannelBotPlatformAppSetup'
      type: object
      required:
        - app_id
        - client_id
        - client_secret_set
        - signing_secret_set
        - app_token_set
        - icon_uploaded
        - distribution_enabled
        - unreadable
        - setup
      title: SlackPlatformAppRead
      description: The registration without its secrets, and what to paste into Slack.
    ChannelBotPlatformAppSetup:
      properties:
        transport:
          $ref: '#/components/schemas/ChannelBotTransport'
        oauth_redirect_url:
          type: string
          title: Oauth Redirect Url
        request_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Url
      type: object
      required:
        - transport
        - oauth_redirect_url
        - request_url
      title: ChannelBotPlatformAppSetup
      description: What a platform admin pastes into the deployment's own provider app.
    ChannelBotTransport:
      type: string
      enum:
        - http
        - socket
      title: ChannelBotTransport
      description: >-
        How a bot's events arrive: posted to our endpoint, or read from a
        provider socket.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.